import sgmllib, htmllib, formatter
		
class stripParser (sgmllib.SGMLParser):
	def __init__ (self):
		sgmllib.SGMLParser.__init__ (self)
		self.ourValue = ""
		
	def handle_data (self, data):
		self.ourValue = self.ourValue + data

	def handle_charref (self, ref):
		# Keep character references - let the browser deal with them.
		self.ourValue = self.ourValue + u'&#%s;' % ref
		
	def handle_entityref (self, ref):
		# Keep entity ref's intact
		self.ourValue = self.ourValue + u'&%s;' % ref
		
	def getString (self):
		return self.ourValue.strip()
	
def stripHTML (text):
	parser = stripParser()
	parser.feed (text)
	parser.close()
	return parser.getString()
	
